# WARNING - Generated by {fusen} from dev/flat_study_squirrels.Rmd: do not edit by hand

test_that("save_as_csv works", {
  # Création d'un dossier temporaire
  mon_dossier_temp <- tempfile(pattern = "savecsv")
  dir.create(mon_dossier_temp)
  
  res <- save_as_csv(df = iris, path = file.path(mon_dossier_temp, "output.csv"))
  
  expect_true(file.exists(res))
  
  expect_error(
    iris |> save_as_csv(file.path(mon_dossier_temp, "nexiste/pas/output.csv")) 
  )
  expect_error(
      NULL |> save_as_csv(file.path(mon_dossier_temp, "output.csv"))
  )
    expect_error(
      save_as_csv(file = data.frame(), path = file.path(mon_dossier_temp, "output.csv"))
  )
  expect_error(
    iris |> save_as_csv(path = file.path(mon_dossier_temp, "output.xlsx")) 
  )
  
  
})
